#!/bin/bash

# www.radimdusek.cz
# Vytváří textový soubor zamrsk-matriky.txt na základě inventárního seznamu matrik http://www.archivzamrsk.cz/sbirkamatrik/inventar.pdf
# Obsahuje odkazy na již zveřejněné matriky, ale i odkazy na matriky ještě nezveřejněné nebo dosud nezdigitalizované.

pdftotext inventar.pdf inventar.txt
grep "^sign\.\|^farní\ úřad" inventar.txt | 
sed "s/sign\. //" |
sed "/,/d" |
sed "s/farní\ úřad: /#/" |
sed "s/ matrika.*//" |
sed "s/ /-/g" |
sed "/[-#]/!s/^/000-/" |
sed "s/^\([A-Za-z]\)-\([0-9]-.*\)/\10\2/" |
sed "s/^\([A-Za-z]\)-/\1/" |
sed "/#/!s/-/ /" | 
awk '{printf "%03s %05s\n",$1,$2;}' |
sed "/#/!s/ /0/g" |
sed "/#/!s/\(...\)0\(.....\)/\1-\2/" |
sed "/#/!s|\(.*\)|http://195\.113\.185\.42:8083/\1\.zip|" > zamrsk-matriky.txt
rm inventar.txt
